

package cn.ibizlab.humanresource.core.base.mapping;

import org.mapstruct.*;
import cn.ibizlab.humanresource.core.base.domain.HRLegal;
import cn.ibizlab.humanresource.core.base.domain.HROrganization;
import java.util.List;

@Mapper(componentModel = "spring", uses = {})
public interface HRLegalInheritMapping {

    @Mappings({
        @Mapping(source ="legalid",target = "organizationid"),
        @Mapping(source ="legalname",target = "organizationname"),
        @Mapping(target ="focusNull",ignore = true),
    })
    HROrganization toHrorganization(HRLegal hrlegal);

    @Mappings({
        @Mapping(source ="organizationid" ,target = "legalid"),
        @Mapping(source ="organizationname" ,target = "legalname"),
        @Mapping(target ="focusNull",ignore = true),
    })
    HRLegal toHrlegal(HROrganization hrorganization);

    List<HROrganization> toHrorganization(List<HRLegal> hrlegal);

    List<HRLegal> toHrlegal(List<HROrganization> hrorganization);

}


