

package cn.ibizlab.humanresource.core.base.mapping;

import org.mapstruct.*;
import cn.ibizlab.humanresource.core.base.domain.HROperationUnit;
import cn.ibizlab.humanresource.core.base.domain.HROrganization;
import java.util.List;

@Mapper(componentModel = "spring", uses = {})
public interface HROperationUnitInheritMapping {

    @Mappings({
        @Mapping(source ="operationunitid",target = "organizationid"),
        @Mapping(source ="operationunitname",target = "organizationname"),
        @Mapping(target ="focusNull",ignore = true),
    })
    HROrganization toHrorganization(HROperationUnit hroperationunit);

    @Mappings({
        @Mapping(source ="organizationid" ,target = "operationunitid"),
        @Mapping(source ="organizationname" ,target = "operationunitname"),
        @Mapping(target ="focusNull",ignore = true),
    })
    HROperationUnit toHroperationunit(HROrganization hrorganization);

    List<HROrganization> toHrorganization(List<HROperationUnit> hroperationunit);

    List<HROperationUnit> toHroperationunit(List<HROrganization> hrorganization);

}


